<?php
/*
Plugin Name: PicNet Mouse Eye Tracking
Plugin URI: http://www.picnet.com.au/met/
Description: The PicNet Mouse Eye Tracking Plugin automatically adds the neccessary <a href='http://www.picnet.com.au/met/' target='_blank'>Mouse Eye Tracking</a> code to the end of every post. Note: You will need to register at the <a href='http://www.picnet.com.au/met/' target='_blank'>Mouse Eye Tracking Home Page</a> to get a valid user code.  Also note that a free Mouse Eye Tracking account displays a small message in the footer of your page.
Version: 1.1
Date: May 4th, 2010
Author: PicNet Pty Ltd
Author URI: http://www.picnet.com.au
Contributors: 
*/ 

/*	(C)Copyright, 2010  PicNet Pty Ltd  (contact: http://www.picnet.com.au/)
	
	This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>
*/

// Admin Panel
function met_add_pages() {
	add_options_page('PicNet Mouse Eye Tracking Options', 'PicNet Mouse Eye Tracking', 9, __FILE__, 'met_options_page');
}

function met_show_info_msg($msg) {
	echo '<div id="message" class="updated fade"><p>' . $msg . '</p></div>';
}

function met_options_page() {
	if (isset($_POST['info_update'])) {
		$options = array(
			"met_user_code" => $_POST["met_user_code"],
			"met_is_paid" => $_POST["met_is_paid"],
		);
		update_option("mouse_eye_tracking_opts", $options);
		met_show_info_msg("Mouse Eye Tracking options saved.");
	} elseif (isset($_POST["info_reset"])) {
		delete_option("mouse_eye_tracking_opts");
		met_show_info_msg("Mouse Eye Tracking options deleted from the WordPress database.");
	} else {
		$options = get_option("mouse_eye_tracking_opts");
	}
	// Configuration Page
	_e('
	<div class="wrap">
		<a href="http://www.picnet.com.au/met"><img src="http://www.picnet.com.au/images/MET_logo.jpg" alt="PicNet Mouse Eye Tracking" title="PicNet Mouse Eye Tracking" style="margin:13px 13px 0px 0px; display:inline; position:relative; float:left"></a><h2 style="display:inline; position:relative; float:left">PicNet Mouse Eye Tracking</h2>
		<div style="clear:both"></div>
		<p>
			This is where you can configure the PicNet Mouse Eye Tracking plugin to add the neccessary Mouse Eye Tracking code to the end of your posts.
			If you have any questions, suggestion or issues when using this plugin please feel free to <a target="_blank" href="http://www.picnet.com.au">contact us</a>.
		</p>		
		<p>
			To get a Mouse Eye Tracking user code please register at the <a target="_blank" href="http://www.picnet.com.au/met/">Mouse Eye Tracking home page</a>.
		</p>
		<p>
			<strong>Note:</strong> If you have a custom footer.php file in your chosen theme please ensure that the following code exists somewhere in that file (or add it if it does not).
			<pre>
				&lt;?php wp_footer(); ?&gt;
			</pre>
		</p>
	</div>
	<div class="wrap">
		<h2>Configuration</h2><br/>
		<form name="formmet" method="post" action="' . $_SERVER['REQUEST_URI'] . '">
			<fieldset class="options">
				<legend><h3>Mouse Eye Tracking User Code:</h3>
					<p>
						Copy and paste the user code provided when registering at the <a target="_blank" href="http://www.picnet.com.au/met/">Mouse Eye Tracking home page</a>
					</p>
					<p>
						<b>Mouse Eye Tracking User Code:</b>&nbsp;
						<input type="text" name="met_user_code" id="met_user_code" style="width: 200px; font-size: 14px;" class="code" value="' .$options["met_user_code"] . ' "></input>
					</p>
				</legend>
			</fieldset>
			<br/>
			<fieldset class="options">
				<legend><h3>Paid Accounts:</h3>
					<p>
						If you have a paid Mouse Eye Tracking account check this and the advertisement message will not appear in your page.  Note: If this 
						option is checked and you do NOT have a paid account then no data will be recorded for your account.
					</p>					
					<p>
						<b>Is Paid Mouse Eye Tracking Account:</b>&nbsp;
						<input type="checkbox" name="met_is_paid" id="met_is_paid" ' . ($options["met_is_paid"] ? 'checked' : '') . '></input>
					</p>
				</legend>
			</fieldset>
			<p>Please refer to the <a href="http://www.picnet.com.au/met/">Home Page</a> for all details on this service.</p>
			<p class="submit">
				<input type="submit" name="info_update" value="Update Options &raquo;" />
			</p>
		</form>
	</div>
	<div class="wrap">
		<h2>Reset Plugin</h2>
		<form name="formmetreset" method="post" action="' . $_SERVER['REQUEST_URI'] . '">
			<p>By pressing the "Reset" button, the plugin will be reset. This means that the stored options will be deleted from the WordPress database. Although it is not necessary, you should consider doing this before uninstalling the plugin, so no trace is left behind.</p>
			<p class="submit">
				<input type="submit" name="info_reset" value="Reset Options" />
			</p>
		</form>
		<p style="font-size:10px; padding-top:5px; border-top:1px dotted #eeeeee; color:#999">Thanks for using Mouse Eye Tracking. <a style="color:#999" href="http://www.picnet.com.au" target="_blank">PicNet</a> is a leading provider of <a style="color:#999" href="http://www.picnet.com.au/IT_consulting.html" target="_blank">IT consulting</a>, <a style="color:#999" href="http://www.picnet.com.au/software_development.html" target="_blank">custom software development</a> and <a style="color:#999" href="http://www.picnet.com.au/IT_managed_support.html" target="_blank">managed IT services.</a></p>
	</div>
	');
}

function get_met_code($met_user_code, $met_is_paid) {		
	$text = '
<span id=\'PicNetEyeTracker\' usercode=\''.trim($met_user_code).'\'>';
	if (!$met_is_paid) { $text .= 'Mouse Eye Tracking by <a href=\'http://www.picnet.com.au/met/\'>PicNet Visitor Heat Maps</a>'; }
$text .='</span>
<script type="text/javascript">
	var host = ("https:" == document.location.protocol ? "https://ssl." : "http://www."); 
	document.write(unescape("%3Cscript src=\'" + host + "picnet.com.au/MET/resources/scripts/met.client.min.js\' type=\'text/javascript\'%3E%3C/script%3E"));
</script>';	
	return $text;
}

function add_met_code_to_footer() {		
	$options = get_option("mouse_eye_tracking_opts");
	$met_user_code = $options["met_user_code"];
	$met_is_paid = $options["met_is_paid"];
			
	$met_show_all = $options["met_show_all"];
	if ($met_user_code == null){ return $text; }	
	echo get_met_code($met_user_code, $met_is_paid);			
}

add_action('admin_menu', 'met_add_pages');
add_action('wp_footer', 'add_met_code_to_footer',0);
?>
